<?php

Route::get('/', 'DashboardController')->name('admin.dashboard.index');

Route::group(['prefix' => 'event'], function (): void {
    Route::get('/', 'EventController@index')->name('admin.event.index');
    Route::post('/', 'EventController@store')->name('admin.event.store');
    Route::get('create', 'EventController@create')->name('admin.event.create');
    Route::get('{event}', 'EventController@show')->name('admin.event.show');
    Route::get('{event}/edit', 'EventController@edit')->name('admin.event.edit');
    Route::post('{event}/update', 'EventController@update')->name('admin.event.update');
});

Route::group(
    [
        'prefix' => 'permission',
        'as' => 'admin.',
    ],
    function (): void {
        Route::group(
            [
                'prefix' => 'permission',
                'as' => 'permission.',
            ],
            function (): void {
                Route::get('/', 'PermissionController@index')->name('index');
                Route::post('/', 'PermissionController@store')->name('store');
                Route::get('create', 'PermissionController@index')->name('create');
                Route::get('{permission}/edit', 'PermissionController@index')->name('edit');
            }
        );

        Route::group(
            [
                'prefix' => 'role',
                'as' => 'role.',
            ],
            function (): void {
                Route::get('/', 'RoleController@index')->name('index');
                Route::post('/', 'RoleController@store')->name('store');
                Route::get('create', 'RoleController@create')->name('create');
                Route::get('{role}', 'RoleController@show')->name('show');
                Route::get('{role}/edit', 'RoleController@edit')->name('edit');
                Route::post('{role}/update', 'RoleController@update')->name('update');
            }
        );
    }
);
